# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

Summary:	X.org driver for Cirrus Logic
Name:		x11-driver-video-cirrus
Version:	1.5.3
Release:	10
License:	MIT
Group:		System/X11
Url:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-cirrus-%{version}.tar.bz2

# Upstream patches
Patch0:		0001-Disable-acceleration-under-qemu.patch
Patch1:		0002-Use-16bpp-when-running-in-virt-and-on-XenSource-gfx.patch
Patch2:		0003-Remove-almost-no-op-setup-functions.patch
Patch3:		0004-Don-t-build-split-alpine-and-laguna-support.patch

BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xorg-macros)
BuildRequires:	pkgconfig(xproto)
Requires:	x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-cirrus is the X.org driver for Cirrus Logic.

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/cirrus_drv.so
%{_mandir}/man4/cirrus.*

#----------------------------------------------------------------------------

%prep
%setup -qn xf86-video-cirrus-%{version}
%apply_patches
autoreconf -fiv

%build
%configure2_5x
%make

%install
%makeinstall_std



%changelog
